.detail-view-wrap {
  padding-bottom: 4rem;
}

.detail-view-wrap {
  display: flex;
  flex-direction: column;
  width: 100%;

  .off-left {
    border: none;
    height: 1px;
    background: var(--ash);
    width: 96%;
    float: right;
    text-align: right;
    margin-right: 0;
  }

  .title-section {
    padding: 1rem;
    display: flex;
    flex-direction: column;

    .channel-box-wrap {
      width: 25%;
    }

    .title {
      margin: 1rem 0;
      .title-text {
        margin: 0 0 0.5rem 0;
        color: var(--dark-purple);
        font-weight: 600;
        font-size: 22px;
      }
    }

    .profile-section {
      display: flex;
      flex-direction: row;
      align-items: center;
      margin-bottom: 0.5rem;

      .profile-picture-container {
        margin-right: 1rem;
        img {
          object-fit: cover;
          border-radius: 50%;
          width: 40px;
        }
      }

      .profile-detail-wrap {
        // margin-bottom: 0.5rem;

        .profile-detail-username {
          // margin: 0rem;
          margin-bottom: 0.25rem;
          // color: var(--gray);
          font-size: 16px;
        }

        .last-publish {
          margin: 0rem;
          color: var(--lilac);
          font-size: 14px;
        }
      }
    }
  }

  .details-participant-comment-box {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    border-bottom: 1px solid var(--ash);
    border-top: 1px solid var(--ash);
    padding: 1rem 0;
    font-size: 14px;

    .details-wrap {
      padding: 0 1rem;
      display: flex;
      flex-direction: row;
      align-items: center;
      color: var(--soot);

      svg {
        margin-right: 0.5rem;
        width: 25px;
        fill: var(--lilac);
      }

      .details-text {
      }
    }

    .participant-wrap {
      padding: 0 1.5rem;
      display: flex;
      flex-direction: row;
      align-items: center;
      color: var(--soot);
      border-left: 1px solid var(--ash);
      border-right: 1px solid var(--ash);

      svg {
        margin-right: 0.5rem;
        width: 25px;
        fill: var(--lilac);
      }

      .participant-text {
      }
    }

    .comment-wrap {
      padding: 0 1rem;
      display: flex;
      flex-direction: row;
      align-items: center;
      color: var(--soot);

      svg {
        margin-right: 0.5rem;
        width: 25px;
        fill: var(--lilac);
      }

      .comment-text {
      }
    }

    .dpc-active {
      color: var(--dark-lime);
      font-weight: 600;

      svg {
        fill: var(--dark-lime);
      }
    }
  }

  .when-section {
    display: flex;
    flex-direction: column;
    padding: 1rem;

    .when-label {
      display: flex;
      flex-direction: row;
      justify-content: left;
      color: var(--purple);
      font-weight: 600;
      font-size: 18px;
    }
    .box {
      width: 4px;
      background: var(--purple);
      border-radius: 6px;
      margin-right: 0.2rem;
    }

    .split {
      display: flex;
      flex-direction: row;
      font-size: 18px;
      color: var(--gray);
      justify-content: space-between;
      .left {
        display: flex;
        flex-direction: column;
        width: 50%;
        .row {
          display: flex;
          flex-direction: row;
          justify-content: center;
          align-items: center;
          svg {
            width: 20px;
            fill: var(--lime);
            margin-right: 0.5rem;
          }
        }

        .time-row {
          display: flex;
          flex-direction: row;
          justify-content: center;
          align-items: baseline;

          .hour {
            font-size: 34px;
            color: var(--dark-lime);
            margin-right: 0.5rem;
          }

          .am-pm {
            color: var(--dark-lime);
            font-size: 10px;
          }
        }
      }
      .separator {
        width: 1px;
        background: var(--ash);
      }
      .right {
        display: flex;
        flex-direction: row;
        width: 50%;
        justify-content: center;
        align-items: baseline;

        .row {
          display: flex;
          flex-direction: row;
          svg {
            width: 20px;
            fill: var(--lime);
            margin-right: 0.5rem;
          }
        }
      }
    }
  }

  .where-section {
    display: flex;
    flex-direction: column;
    padding: 1rem;

    .where-label {
      display: flex;
      flex-direction: row;
      justify-content: left;
      // padding-left: 0.2rem;
      color: var(--purple);
      font-weight: 600;
      font-size: 18px;

      .box {
        width: 4px;
        background: var(--purple);
        border-radius: 2px;
        margin-right: 0.2rem;
      }
    }

    .map-section {
      color: var(--gray);

      .map-place-title {
        margin: 0.5rem 0 0;
        font-weight: 600;
      }

      .map-place-address {
        margin: 0 0 0.5rem;
      }

      .map-img {
        width: 100%;
        border-radius: 10px;
      }
    }
  }
}
